%define major 3
%define libname %mklibname %{name}  %{major}
%define develname %mklibname %{name} -d

Name:		ecap
Epoch:		1
Version:	1.0.1
Release:	%mkrel 4
Summary:	eCAP library
License:	BSD
Group:		Networking/Other
URL:		http://www.e-cap.org/
Source:		http://www.measurement-factory.com/tmp/ecap/libecap-%{version}.tar.gz
BuildRequires:	kernel-headers

%description
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.

%package -n     %{libname}
Summary:        Main library for ecap
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.


%package -n     %{develname}
Summary:        Header files for the ecap library
Group:          Development/C
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
eCAP is a software interface that allows a network application, such as an
HTTP proxy or an ICAP server, to outsource content analysis and adaptation
to a loadable module. For each applicable protocol message being
processed, an eCAP-enabled application supplies the message details to the
adaptation module and gets back an adapted message or a "not interested"
response. These exchanges often include message bodies.
These are devel files.

%prep
%setup -q -n libecap-%{version}

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE(\[\),\1foreign ,' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure --enable-shared --enable-std-include
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libecap.la

%files -n %{libname}
%doc LICENSE
%{_libdir}/libecap.so.%{major}{,.*}

%files  -n %{develname}
%{_includedir}/libecap/*
%{_libdir}/libecap.so
%{_libdir}/libecap.a
%{_libdir}/pkgconfig/libecap.pc


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1:1.0.1-4.mga8
+ Revision: 1512075
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:1.0.1-3.mga7
+ Revision: 1297554
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 1:1.0.1-2.mga7
+ Revision: 1234853
- fix build on aarch64

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1:1.0.1-1.mga6
+ Revision: 918932
- 1.0.1

* Tue Aug 25 2015 cjw <cjw> 1:1.0.0-2.mga6
+ Revision: 869279
- rebuild with gcc 5

* Sun Jun 21 2015 dlucio <dlucio> 1:1.0.0-1.mga6
+ Revision: 838319
- 1.0.0
- new major 3

* Wed Oct 15 2014 umeabot <umeabot> 1:0.2.0-6.mga5
+ Revision: 741683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.2.0-5.mga5
+ Revision: 678918
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.2.0-4.mga4
+ Revision: 533787
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 dlucio <dlucio> 1:0.2.0-3.mga4
+ Revision: 475434
- bump release

* Fri Jan 11 2013 umeabot <umeabot> 1:0.2.0-2.mga3
+ Revision: 349306
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1:0.2.0-1.mga3
+ Revision: 289630
- 0.2.0
- library major is now 2
- cosmetic spec fixes
- do not ship libtool archive

* Sun Jul 15 2012 dlucio <dlucio> 1:0.0.3-1.mga3
+ Revision: 271033
- Squid 3.1 does not support 0.2.0, we get back to 0.0.3

* Sun Jul 15 2012 dlucio <dlucio> 0.2.0-1.mga3
+ Revision: 270924
- 0.2.0
- fix file list, now we have pkgconfig file

* Mon Jul 25 2011 dlucio <dlucio> 0.0.3-2.mga2
+ Revision: 129289
- description fixes

* Mon Mar 07 2011 ennael <ennael> 0.0.3-1.mga1
+ Revision: 66017
- ckean spec file
+ dlucio <dlucio>
- imported package ecap


* Wed Dec 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.3-1mdv2011.0
+ Revision: 625816
- 0.0.3

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-5mdv2011.0
+ Revision: 605094
- rebuild

* Sat Mar 20 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.2-4mdv2010.1
+ Revision: 525373
- Bump release

* Fri Mar 19 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-3mdv2010.1
+ Revision: 525320
- bump release
- add the LICENSE

* Thu Feb 25 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.2-2mdv2010.1
+ Revision: 510857
- Fix lib requires

* Wed Feb 24 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.2-1mdv2010.1
+ Revision: 510531
- import ecap


